# GstVulkanDisplay

A GstVulkanDisplay represents a connection to a display server on the platform

## GstVulkanDisplay

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstVulkanDisplay

The contents of a GstVulkanDisplay are private and should only be accessed through the provided API

Since : 1.18

### Class structure

#### GstVulkanDisplayClass

##### Fields

`object_class` (GstObjectClass) –

parent GstObjectClass

Since : 1.18

### GstVulkan.VulkanDisplayClass

##### Attributes

`object_class` (Gst.ObjectClass) –

parent Gst.ObjectClass

Since : 1.18

### GstVulkan.VulkanDisplayClass

##### Attributes

`object_class` (Gst.ObjectClass) –

parent Gst.ObjectClass

Since : 1.18

## GstVulkan.VulkanDisplay

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──GstVulkan.VulkanDisplay

The contents of a GstVulkan.VulkanDisplay are private and should only be accessed through the provided API

Since : 1.18

## GstVulkan.VulkanDisplay

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──GstVulkan.VulkanDisplay

The contents of a GstVulkan.VulkanDisplay are private and should only be accessed through the provided API

Since : 1.18

### Constructors

#### gst_vulkan_display_new

    GstVulkanDisplay *
    gst_vulkan_display_new (GstVulkanInstance * instance)

Parameters:

`instance` –
No description available
Returns ( [transfer: full]) –

a new GstVulkanDisplay

Since : 1.18

#### GstVulkan.VulkanDisplay.prototype.new

    function GstVulkan.VulkanDisplay.prototype.new(instance: GstVulkan.VulkanInstance): {
        // javascript wrapper for 'gst_vulkan_display_new'
    }

Parameters:

`instance` (GstVulkan.VulkanInstance) –
No description available
Returns (GstVulkan.VulkanDisplay) –

a new GstVulkan.VulkanDisplay

Since : 1.18

#### GstVulkan.VulkanDisplay.new

    def GstVulkan.VulkanDisplay.new (instance):
        #python wrapper for 'gst_vulkan_display_new'

Parameters:

`instance` (GstVulkan.VulkanInstance) –
No description available
Returns (GstVulkan.VulkanDisplay) –

a new GstVulkan.VulkanDisplay

Since : 1.18

#### gst_vulkan_display_new_with_type

    GstVulkanDisplay *
    gst_vulkan_display_new_with_type (GstVulkanInstance * instance,
                                      GstVulkanDisplayType type)

Parameters:

`instance` –

a GstVulkanInstance

`type` –

the GstVulkanDisplayType to create

Returns ( [transfer: full][nullable]) –

a new GstVulkanDisplay or NULL if e.g. type is unsupported

Since : 1.18

#### GstVulkan.VulkanDisplay.prototype.new_with_type

    function GstVulkan.VulkanDisplay.prototype.new_with_type(instance: GstVulkan.VulkanInstance, type: GstVulkan.VulkanDisplayType): {
        // javascript wrapper for 'gst_vulkan_display_new_with_type'
    }

Parameters:

`instance` (GstVulkan.VulkanInstance) –

a GstVulkan.VulkanInstance

`type` (GstVulkan.VulkanDisplayType) –

the GstVulkan.VulkanDisplayType to create

Returns (GstVulkan.VulkanDisplay) –

a new GstVulkan.VulkanDisplay or null if e.g. type is unsupported

Since : 1.18

#### GstVulkan.VulkanDisplay.new_with_type

    def GstVulkan.VulkanDisplay.new_with_type (instance, type):
        #python wrapper for 'gst_vulkan_display_new_with_type'

Parameters:

`instance` (GstVulkan.VulkanInstance) –

a GstVulkan.VulkanInstance

`type` (GstVulkan.VulkanDisplayType) –

the GstVulkan.VulkanDisplayType to create

Returns (GstVulkan.VulkanDisplay) –

a new GstVulkan.VulkanDisplay or None if e.g. type is unsupported

Since : 1.18

### Methods

#### gst_vulkan_display_create_window

    GstVulkanWindow *
    gst_vulkan_display_create_window (GstVulkanDisplay * display)

Parameters:

`display` –

a GstVulkanDisplay

Returns ( [transfer: full][nullable]) –

a new GstVulkanWindow for display or NULL.

Since : 1.18

#### GstVulkan.VulkanDisplay.prototype.create_window

    function GstVulkan.VulkanDisplay.prototype.create_window(): {
        // javascript wrapper for 'gst_vulkan_display_create_window'
    }

Parameters:

`display` (GstVulkan.VulkanDisplay) –

a GstVulkan.VulkanDisplay

Returns (GstVulkan.VulkanWindow) –

a new GstVulkan.VulkanWindow for display or null.

Since : 1.18

#### GstVulkan.VulkanDisplay.create_window

    def GstVulkan.VulkanDisplay.create_window (self):
        #python wrapper for 'gst_vulkan_display_create_window'

Parameters:

`display` (GstVulkan.VulkanDisplay) –

a GstVulkan.VulkanDisplay

Returns (GstVulkan.VulkanWindow) –

a new GstVulkan.VulkanWindow for display or None.

Since : 1.18

#### gst_vulkan_display_find_window

    GstVulkanWindow *
    gst_vulkan_display_find_window (GstVulkanDisplay * display,
                                    gpointer data,
                                    GCompareFunc compare_func)

Execute compare_func over the list of windows stored by display. The first argument to compare_func is the GstVulkanWindow being checked and the second argument is data.

Parameters:

`display` –

a GstVulkanDisplay

`data` –

some data to pass to compare_func

`compare_func` ( [scope call][closure]) –

a comparison function to run

Returns ( [transfer: full][nullable]) –

The first GstVulkanWindow that compare_func matches, or NULL

Since : 1.18

#### GstVulkan.VulkanDisplay.prototype.find_window

    function GstVulkan.VulkanDisplay.prototype.find_window(data: Object, compare_func: GLib.CompareFunc): {
        // javascript wrapper for 'gst_vulkan_display_find_window'
    }

Execute compare_func over the list of windows stored by display. The first argument to compare_func is the GstVulkan.VulkanWindow being checked and the second argument is data.

Parameters:

`display` (GstVulkan.VulkanDisplay) –

a GstVulkan.VulkanDisplay

`data` (Object) –

some data to pass to compare_func

`compare_func` (GLib.CompareFunc) –

a comparison function to run

Returns (GstVulkan.VulkanWindow) –

The first GstVulkan.VulkanWindow that compare_func matches, or null

Since : 1.18

#### GstVulkan.VulkanDisplay.find_window

    def GstVulkan.VulkanDisplay.find_window (self, *data, compare_func):
        #python wrapper for 'gst_vulkan_display_find_window'

Execute compare_func over the list of windows stored by display. The first argument to compare_func is the GstVulkan.VulkanWindow being checked and the second argument is data.

Parameters:

`display` (GstVulkan.VulkanDisplay) –

a GstVulkan.VulkanDisplay

`data` (variadic) –

some data to pass to compare_func

`compare_func` (GLib.CompareFunc) –

a comparison function to run

Returns (GstVulkan.VulkanWindow) –

The first GstVulkan.VulkanWindow that compare_func matches, or None

Since : 1.18

#### gst_vulkan_display_get_handle

    gpointer
    gst_vulkan_display_get_handle (GstVulkanDisplay * display)

Parameters:

`display` –

a GstVulkanDisplay

Returns –

the winsys specific handle of display

Since : 1.18

#### GstVulkan.VulkanDisplay.prototype.get_handle

    function GstVulkan.VulkanDisplay.prototype.get_handle(): {
        // javascript wrapper for 'gst_vulkan_display_get_handle'
    }

Parameters:

`display` (GstVulkan.VulkanDisplay) –

a GstVulkan.VulkanDisplay

Returns (Object) –

the winsys specific handle of display

Since : 1.18

#### GstVulkan.VulkanDisplay.get_handle

    def GstVulkan.VulkanDisplay.get_handle (self):
        #python wrapper for 'gst_vulkan_display_get_handle'

Parameters:

`display` (GstVulkan.VulkanDisplay) –

a GstVulkan.VulkanDisplay

Returns (object) –

the winsys specific handle of display

Since : 1.18

#### gst_vulkan_display_get_handle_type

    GstVulkanDisplayType
    gst_vulkan_display_get_handle_type (GstVulkanDisplay * display)

Parameters:

`display` –

a GstVulkanDisplay

Returns –

the GstVulkanDisplayType of display

Since : 1.18

#### GstVulkan.VulkanDisplay.prototype.get_handle_type

    function GstVulkan.VulkanDisplay.prototype.get_handle_type(): {
        // javascript wrapper for 'gst_vulkan_display_get_handle_type'
    }

Parameters:

`display` (GstVulkan.VulkanDisplay) –

a GstVulkan.VulkanDisplay

Returns (GstVulkan.VulkanDisplayType) –

the GstVulkan.VulkanDisplayType of display

Since : 1.18

#### GstVulkan.VulkanDisplay.get_handle_type

    def GstVulkan.VulkanDisplay.get_handle_type (self):
        #python wrapper for 'gst_vulkan_display_get_handle_type'

Parameters:

`display` (GstVulkan.VulkanDisplay) –

a GstVulkan.VulkanDisplay

Returns (GstVulkan.VulkanDisplayType) –

the GstVulkan.VulkanDisplayType of display

Since : 1.18

#### gst_vulkan_display_remove_window

    gboolean
    gst_vulkan_display_remove_window (GstVulkanDisplay * display,
                                      GstVulkanWindow * window)

Parameters:

`display` –

a GstVulkanDisplay

`window` –

the GstVulkanWindow to remove

Returns –

whether the window was successfully removed

Since : 1.18

#### GstVulkan.VulkanDisplay.prototype.remove_window

    function GstVulkan.VulkanDisplay.prototype.remove_window(window: GstVulkan.VulkanWindow): {
        // javascript wrapper for 'gst_vulkan_display_remove_window'
    }

Parameters:

`display` (GstVulkan.VulkanDisplay) –

a GstVulkan.VulkanDisplay

`window` (GstVulkan.VulkanWindow) –

the GstVulkan.VulkanWindow to remove

Returns (Number) –

whether the window was successfully removed

Since : 1.18

#### GstVulkan.VulkanDisplay.remove_window

    def GstVulkan.VulkanDisplay.remove_window (self, window):
        #python wrapper for 'gst_vulkan_display_remove_window'

Parameters:

`display` (GstVulkan.VulkanDisplay) –

a GstVulkan.VulkanDisplay

`window` (GstVulkan.VulkanWindow) –

the GstVulkan.VulkanWindow to remove

Returns (bool) –

whether the window was successfully removed

Since : 1.18

### Functions

#### gst_vulkan_display_choose_type

    GstVulkanDisplayType
    gst_vulkan_display_choose_type (GstVulkanInstance * instance)

This function will read the `GST_VULKAN_WINDOW` environment variable for a user choice or choose the first supported implementation.

gst_vulkan_instance_fill_info must have been called prior to this function.

Parameters:

`instance` –

a GstVulkanInstance

Returns –

the default GstVulkanDisplayType GstVulkanInstance will choose on creation

Since : 1.18

#### GstVulkan.VulkanDisplay.prototype.choose_type

    function GstVulkan.VulkanDisplay.prototype.choose_type(instance: GstVulkan.VulkanInstance): {
        // javascript wrapper for 'gst_vulkan_display_choose_type'
    }

This function will read the `GST_VULKAN_WINDOW` environment variable for a user choice or choose the first supported implementation.

GstVulkan.VulkanInstance.prototype.fill_info must have been called prior to this function.

Parameters:

`instance` (GstVulkan.VulkanInstance) –

a GstVulkan.VulkanInstance

Returns (GstVulkan.VulkanDisplayType) –

the default GstVulkan.VulkanDisplayType GstVulkan.VulkanInstance will choose on creation

Since : 1.18

#### GstVulkan.VulkanDisplay.choose_type

    def GstVulkan.VulkanDisplay.choose_type (instance):
        #python wrapper for 'gst_vulkan_display_choose_type'

This function will read the `GST_VULKAN_WINDOW` environment variable for a user choice or choose the first supported implementation.

GstVulkan.VulkanInstance.fill_info must have been called prior to this function.

Parameters:

`instance` (GstVulkan.VulkanInstance) –

a GstVulkan.VulkanInstance

Returns (GstVulkan.VulkanDisplayType) –

the default GstVulkan.VulkanDisplayType GstVulkan.VulkanInstance will choose on creation

Since : 1.18

#### gst_vulkan_display_handle_context_query

    gboolean
    gst_vulkan_display_handle_context_query (GstElement * element,
                                             GstQuery * query,
                                             GstVulkanDisplay * display)

If a GstVulkanDisplay is requested in query, sets device as the reply.

Intended for use with element query handlers to respond to GST_QUERY_CONTEXT for a GstVulkanDisplay.

Parameters:

`element` –

a GstElement

`query` –

a GstQuery of type GST_QUERY_CONTEXT

`display` ( [nullable]) –

the GstVulkanDisplay

Returns –

whether query was responded to with display

Since : 1.18

#### GstVulkan.VulkanDisplay.prototype.handle_context_query

    function GstVulkan.VulkanDisplay.prototype.handle_context_query(element: Gst.Element, query: Gst.Query, display: GstVulkan.VulkanDisplay): {
        // javascript wrapper for 'gst_vulkan_display_handle_context_query'
    }

If a GstVulkan.VulkanDisplay is requested in query, sets device as the reply.

Intended for use with element query handlers to respond to Gst.QueryType.CONTEXT for a GstVulkan.VulkanDisplay.

Parameters:

`element` (Gst.Element) –

a Gst.Element

`query` (Gst.Query) –

a Gst.Query of type Gst.QueryType.CONTEXT

`display` (GstVulkan.VulkanDisplay) –

the GstVulkan.VulkanDisplay

Returns (Number) –

whether query was responded to with display

Since : 1.18

#### GstVulkan.VulkanDisplay.handle_context_query

    def GstVulkan.VulkanDisplay.handle_context_query (element, query, display):
        #python wrapper for 'gst_vulkan_display_handle_context_query'

If a GstVulkan.VulkanDisplay is requested in query, sets device as the reply.

Intended for use with element query handlers to respond to Gst.QueryType.CONTEXT for a GstVulkan.VulkanDisplay.

Parameters:

`element` (Gst.Element) –

a Gst.Element

`query` (Gst.Query) –

a Gst.Query of type Gst.QueryType.CONTEXT

`display` (GstVulkan.VulkanDisplay) –

the GstVulkan.VulkanDisplay

Returns (bool) –

whether query was responded to with display

Since : 1.18

#### gst_vulkan_display_run_context_query

    gboolean
    gst_vulkan_display_run_context_query (GstElement * element,
                                          GstVulkanDisplay ** display)

Attempt to retrieve a GstVulkanDisplay using GST_QUERY_CONTEXT from the surrounding elements of element.

Parameters:

`element` –

a GstElement

`display` ( [inout]) –

a GstVulkanDisplay

Returns –

whether display contains a valid GstVulkanDisplay

Since : 1.18

#### GstVulkan.VulkanDisplay.prototype.run_context_query

    function GstVulkan.VulkanDisplay.prototype.run_context_query(element: Gst.Element, display: GstVulkan.VulkanDisplay): {
        // javascript wrapper for 'gst_vulkan_display_run_context_query'
    }

Attempt to retrieve a GstVulkan.VulkanDisplay using Gst.QueryType.CONTEXT from the surrounding elements of element.

Parameters:

`element` (Gst.Element) –

a Gst.Element

`display` (GstVulkan.VulkanDisplay) –

a GstVulkan.VulkanDisplay

Returns a tuple made of:

(Number ) –

whether display contains a valid GstVulkan.VulkanDisplay

`display` (GstVulkan.VulkanDisplay ) –

whether display contains a valid GstVulkan.VulkanDisplay

Since : 1.18

#### GstVulkan.VulkanDisplay.run_context_query

    def GstVulkan.VulkanDisplay.run_context_query (element, display):
        #python wrapper for 'gst_vulkan_display_run_context_query'

Attempt to retrieve a GstVulkan.VulkanDisplay using Gst.QueryType.CONTEXT from the surrounding elements of element.

Parameters:

`element` (Gst.Element) –

a Gst.Element

`display` (GstVulkan.VulkanDisplay) –

a GstVulkan.VulkanDisplay

Returns a tuple made of:

(bool ) –

whether display contains a valid GstVulkan.VulkanDisplay

`display` (GstVulkan.VulkanDisplay ) –

whether display contains a valid GstVulkan.VulkanDisplay

Since : 1.18

### Virtual Methods

#### create_window

    GstVulkanWindow *
    create_window (GstVulkanDisplay * display)

create a window

Parameters:

`display` –
No description available
Returns –
No description available

#### vfunc_create_window

    function vfunc_create_window(display: GstVulkan.VulkanDisplay): {
        // javascript implementation of the 'create_window' virtual method
    }

create a window

Parameters:

`display` (GstVulkan.VulkanDisplay) –
No description available
Returns (GstVulkan.VulkanWindow) –
No description available

#### do_create_window

    def do_create_window (display):
        #python implementation of the 'create_window' virtual method

create a window

Parameters:

`display` (GstVulkan.VulkanDisplay) –
No description available
Returns (GstVulkan.VulkanWindow) –
No description available

#### get_handle

    gpointer
    get_handle (GstVulkanDisplay * display)

get the native handle to the display

Parameters:

`display` –
No description available
Returns –
No description available

#### vfunc_get_handle

    function vfunc_get_handle(display: GstVulkan.VulkanDisplay): {
        // javascript implementation of the 'get_handle' virtual method
    }

get the native handle to the display

Parameters:

`display` (GstVulkan.VulkanDisplay) –
No description available
Returns (Object) –
No description available

#### do_get_handle

    def do_get_handle (display):
        #python implementation of the 'get_handle' virtual method

get the native handle to the display

Parameters:

`display` (GstVulkan.VulkanDisplay) –
No description available
Returns (object) –
No description available

## Functions

### gst_context_get_vulkan_display

    gboolean
    gst_context_get_vulkan_display (GstContext * context,
                                    GstVulkanDisplay ** display)

Parameters:

`context` –

a GstContext

`display` ( [out][optional][nullable][transfer: full]) –

resulting GstVulkanDisplay

Returns –

Whether display was in context

Since : 1.18

### GstVulkan.prototype.context_get_vulkan_display

    function GstVulkan.prototype.context_get_vulkan_display(context: Gst.Context): {
        // javascript wrapper for 'gst_context_get_vulkan_display'
    }

Parameters:

`context` (Gst.Context) –

a Gst.Context

Returns a tuple made of:

(Number ) –

Whether display was in context

`display` (GstVulkan.VulkanDisplay ) –

Whether display was in context

Since : 1.18

### GstVulkan.context_get_vulkan_display

    def GstVulkan.context_get_vulkan_display (context):
        #python wrapper for 'gst_context_get_vulkan_display'

Parameters:

`context` (Gst.Context) –

a Gst.Context

Returns a tuple made of:

(bool ) –

Whether display was in context

`display` (GstVulkan.VulkanDisplay ) –

Whether display was in context

Since : 1.18

### gst_context_set_vulkan_display

    gst_context_set_vulkan_display (GstContext * context,
                                    GstVulkanDisplay * display)

Sets display on context

Parameters:

`context` –

a GstContext

`display` ( [transfer: none][nullable]) –

a GstVulkanDisplay

Since : 1.18

### GstVulkan.prototype.context_set_vulkan_display

    function GstVulkan.prototype.context_set_vulkan_display(context: Gst.Context, display: GstVulkan.VulkanDisplay): {
        // javascript wrapper for 'gst_context_set_vulkan_display'
    }

Sets display on context

Parameters:

`context` (Gst.Context) –

a Gst.Context

`display` (GstVulkan.VulkanDisplay) –

a GstVulkan.VulkanDisplay

Since : 1.18

### GstVulkan.context_set_vulkan_display

    def GstVulkan.context_set_vulkan_display (context, display):
        #python wrapper for 'gst_context_set_vulkan_display'

Sets display on context

Parameters:

`context` (Gst.Context) –

a Gst.Context

`display` (GstVulkan.VulkanDisplay) –

a GstVulkan.VulkanDisplay

Since : 1.18

### gst_vulkan_display_type_to_extension_string

    const gchar *
    gst_vulkan_display_type_to_extension_string (GstVulkanDisplayType type)

Parameters:

`type` –

a GstVulkanDisplayType

Returns ( [nullable]) –

the Vulkan extension string required for creating a VkSurfaceKHR using a window system handle or NULL

Since : 1.18

### GstVulkan.prototype.vulkan_display_type_to_extension_string

    function GstVulkan.prototype.vulkan_display_type_to_extension_string(type: GstVulkan.VulkanDisplayType): {
        // javascript wrapper for 'gst_vulkan_display_type_to_extension_string'
    }

Parameters:

`type` (GstVulkan.VulkanDisplayType) –

a GstVulkan.VulkanDisplayType

Returns (String) –

the Vulkan extension string required for creating a VkSurfaceKHR using a window system handle or null

Since : 1.18

### GstVulkan.vulkan_display_type_to_extension_string

    def GstVulkan.vulkan_display_type_to_extension_string (type):
        #python wrapper for 'gst_vulkan_display_type_to_extension_string'

Parameters:

`type` (GstVulkan.VulkanDisplayType) –

a GstVulkan.VulkanDisplayType

Returns (str) –

the Vulkan extension string required for creating a VkSurfaceKHR using a window system handle or None

Since : 1.18

## Function Macros

### GST_VULKAN_DISPLAY_CAST

    #define GST_VULKAN_DISPLAY_CAST(obj)        ((GstVulkanDisplay*)(obj))

Since : 1.18

## Enumerations

### GstVulkanDisplayType

##### Members

`GST_VULKAN_DISPLAY_TYPE_NONE` (0) –

no display

`GST_VULKAN_DISPLAY_TYPE_XCB` (1) –

XCB display

`GST_VULKAN_DISPLAY_TYPE_WAYLAND` (2) –

wayland display

`GST_VULKAN_DISPLAY_TYPE_COCOA` (4) –

cocoa display for macOS

`GST_VULKAN_DISPLAY_TYPE_IOS` (8) –

ios display

`GST_VULKAN_DISPLAY_TYPE_WIN32` (16) –

win32 display

`GST_VULKAN_DISPLAY_TYPE_ANDROID` (32) –
No description available
`GST_VULKAN_DISPLAY_TYPE_ANY` (4294967295) –

any display type

Since : 1.18

### GstVulkan.VulkanDisplayType

##### Members

`GstVulkan.VulkanDisplayType.NONE` (0) –

no display

`GstVulkan.VulkanDisplayType.XCB` (1) –

XCB display

`GstVulkan.VulkanDisplayType.WAYLAND` (2) –

wayland display

`GstVulkan.VulkanDisplayType.COCOA` (4) –

cocoa display for macOS

`GstVulkan.VulkanDisplayType.IOS` (8) –

ios display

`GstVulkan.VulkanDisplayType.WIN32` (16) –

win32 display

`GstVulkan.VulkanDisplayType.ANDROID` (32) –
No description available
`GstVulkan.VulkanDisplayType.ANY` (4294967295) –

any display type

Since : 1.18

### GstVulkan.VulkanDisplayType

##### Members

`GstVulkan.VulkanDisplayType.NONE` (0) –

no display

`GstVulkan.VulkanDisplayType.XCB` (1) –

XCB display

`GstVulkan.VulkanDisplayType.WAYLAND` (2) –

wayland display

`GstVulkan.VulkanDisplayType.COCOA` (4) –

cocoa display for macOS

`GstVulkan.VulkanDisplayType.IOS` (8) –

ios display

`GstVulkan.VulkanDisplayType.WIN32` (16) –

win32 display

`GstVulkan.VulkanDisplayType.ANDROID` (32) –
No description available
`GstVulkan.VulkanDisplayType.ANY` (4294967295) –

any display type

Since : 1.18

## Constants

### GST_VULKAN_DISPLAY_CONTEXT_TYPE_STR

    #define GST_VULKAN_DISPLAY_CONTEXT_TYPE_STR "gst.vulkan.display"

Since : 1.18

### GstVulkan.VULKAN_DISPLAY_CONTEXT_TYPE_STR

Since : 1.18

### GstVulkan.VULKAN_DISPLAY_CONTEXT_TYPE_STR

Since : 1.18

The results of the search are